<?

require_once('includes/portalutils.php');

//$newUsername holds the new username to try. Returns a message with the results and a message class indicating response type
//This file requires $patient to be set with the patient whose username is to change. Message class assumed to default to error.

if (!isset($newUsername) || $newUsername == "") {
	$message = "Must enter a new username. Please enter this field and try again.";
} else if (userExists($newUsername)) {
	$message = "The username you chose is already taken by another patient. Please enter a different one and try again.";
} else {
	if (setPatientUsername($patient, $newUsername)) {
		$message = "Username successfully changed!";
		$messageClass = "success";
	}
}

?>