<?
require_once('includes/conf.php');
enforcedSessionStart();

require_once('includes/portalutils.php');
require_once(GLOBAL_INCLUDES_DIR . 'springfield/formatters/fullnameformatter.php');

//Include the header info
$title='EyeCare Associates - Secure Patient Messages';
include("template.php");

$employee = getEmployee(true);
if ($employee != null) {
	$subMenuName = "employee_menu";
	include("head.php");
	if (isProvider()) {
		$fnf = new FullNameFormatter(null, false);
		$proName = $fnf->format($employee);
		if ($_GET['success'] == 1) {
			echo "<h1 class=\"orange\">Success</h1>";
			echo "<div class=\"basicMedium\">You have successfully sent a secure message to the patient.</div>";
		}
		echo "<h2 class=\"orange\">Viewing Messages For Dr. $proName</h2>";
		$num = 0;
		
		//Show the employee's messages
		$userUID = $employee->getFieldValue('uid');
		include('get_secure_messages.php');
	} else {
		echo "<div class=\"bigorange spaced\">Must be a Provider</div>\n";
		echo "<div class=\"smallItem\">Only providers can access the secure messaging system.</div>";
	}
	echo "<style>
ul#navmenu li {display: none;} 
ul#navmenu li.emp, ul#navmenu li:last-child {
display: inline-block !important;
}
</style>";
	include("foot.php");
} //End if employee != null
?>
