<?
require_once('includes/conf.php');
enforcedSessionStart();

require_once('includes/includes.php');
require_once('includes/portalutils.php');
require_once(GLOBAL_INCLUDES_DIR . 'springfield/formatters/fullnameformatter.php');

$success = $_GET['success'];
$successMsg = null;
if (isset($success)) {
	if ($success === 1 || $success === '1') {
		$successMsg = "Prescriptions successfully sent to the patient.";
	}
}

//Make sure employee is logged in first
$fnf = new FullNameFormatter(null, false);
$employee = getEmployee(false);
$logged_in = isEmployeeLoggedIn($employee);

if (!$logged_in) {
	$_SESSION['referral_page'] = $_SERVER['PHP_SELF'];
	header('location:employee_login.php');
} else {
	//Include the header info
	$title='EyeCare Associates - Employee Account Main Page';
	include("template.php");
	
	$subMenuName = "employee_menu";
	include("head.php");
	
	if (isset($successMsg)) {
		echo "<h3 class=\"orange\">$successMsg</h3>";
	}
	
	?>
	<style>
	ul#navmenu li {display: none;} 
	ul#navmenu li.emp, ul#navmenu li:last-child {
	display: inline-block !important;
	}
	</style>
	<h1>EyeCare Associates Employee Portal</h1>
	<h2>Employee:  <? echo $fnf->format($employee); ?></h2>
	<?
	if (isProvider()) {
		//Provider - only secure messaging is available.
	?>
		<h2 class="orange">Secure Electronic Messages</h2>
		<p class="menuItem"><a class="basicLink" href="employee_messages.php">Click Here</a> to view your secure electronic messages.</p>
<?
	} else {
		//Not a provider - nothing available yet.
?>
		<h2 class="orange">No Tools Available</h2>
		<p class="menuItem">There are currently no employee portal tools available, except for providers.</p>
<?
	} //end if not a provider
	include "foot.php";
} //end if logged in
?>
