<?php

//displays all of the information about a given object in a readable format
function dump($var) {
	ob_start();
	print '<pre>';
	print_r($var);
	print '</pre>';
	$str = ob_get_clean();
	//We don't want credit card numbers in the dump.  This is a bit of a hack, but I can't
	//keep these out of the PEAR mail stack trace in the first place, so it's the best I can do.
	$str = preg_replace('/_number:CreditCard:private.*/', '_number:CreditCard:private] => xxxx', $str);
	return $str;
}

function startElement($parser, $name, $attribs)
     {
         global $currentTag, $currentAttribs;
         $currentTag = $name;
  
         $currentAttribs = $attribs;
         switch ($name) {
        	case "APPOINTMENT":
        	case "UID":
        		echo "<b>&lt;$name&gt;</b><br />";
        		break;
        
          	default:
             	echo("<b>&lt;$name&gt;</b><br>");
             	break;
         }
     }

     function endElement($parser, $name)
     {
         global $currentTag;
         switch ($name) {
         default:
             echo("<br><b>&lt;/$name&gt</b><br><br>");
             break;
         }
         $currentTag = "";
         $currentAttribs = "";
     }

     function characterData($parser, $data)
     {
         global $currentTag;
         switch ($currentTag) {
         case "link":
             echo("<a href=\"$data\">$data</a>\n");
             break;
         case "title":
             echo("title : $data");
             break;
         case "UID":
         	echo "HERE! - $data<br />";
         	break; 
            
         default:
             echo($data);
             break;
         }
     }



function print_xml($data)
{
     echo "START OUTPUT: <br />";
     $currentTag = "";
     $currentAttribs = "";

     
     $xmlParser = xml_parser_create();
  
     $caseFold = xml_parser_get_option($xmlParser,
                                       XML_OPTION_CASE_FOLDING);
  
     $targetEncoding = xml_parser_get_option($xmlParser,
                                             XML_OPTION_TARGET_ENCODING);

     if ($caseFold == 1) {
         xml_parser_set_option($xmlParser, XML_OPTION_CASE_FOLDING, false);
     }

     xml_set_element_handler($xmlParser, "startElement", "endElement");
     xml_set_character_data_handler($xmlParser, "characterData");

   	 $data = str_replace('END_TRANSMITION', '', $data);
     if (!xml_parse($xmlParser, $data)) {
             die(sprintf("XML error: %s at line %d",
                         xml_error_string(xml_get_error_code($xmlParser)),
                         xml_get_current_line_number($xmlParser)));
             xml_parser_free($xmlParser);
     }
     xml_parser_free($xmlParser);
}
?>
