<?
require_once('includes/conf.php');
enforcedSessionStart();

require_once('includes/includes.php');
require_once('includes/portalutils.php');
require_once(GLOBAL_INCLUDES_DIR . 'springfield/formatters/fullnameformatter.php');
require_once(GLOBAL_INCLUDES_DIR . 'springfield/formatters/dateformatter.php');

//Make sure patient is logged in first
$fnf = new FullNameFormatter(null, false);
$patient = getPatient();
$logged_in = isLoggedIn($patient);

if (!$logged_in) {
	$_SESSION['referral_page'] = $_SERVER['PHP_SELF'];
	header('location:login.php');
} else {
	//Include the header info
	$title='EyeCare Associates - Account Main Page';
include("template.php");

	$drawArrow = true;
	$arrowPos = 230;
	$subMenu = "portal_menu.jpg";
	$isPortalMain = true;
	include("head.php");
	
	$errorField = $_GET['error'];
	if (isset($errorField)) {
		$error = $_SESSION[$errorField];
	}

	?>
	<h1>Welcome to Your Patient Portal</h1>
	<h2 id="patient-name">Patient:  <? echo $fnf->format($patient); ?></h2>
	<?
	if (isset($error)) {
		echo "<div class=\"error\">$error</div>";
	}
	?> 

	<div class="portal-boxes">
	<div id="portal-box" class="portal-box-welcome">
    <a href="online_welcome_sheet.php?patient=<? echo $patient->getFieldValue('uid');?>">
    <img src="../Imagess/profile.jpg" width="36" height="31" />
    <h2 class="orange compactBottom">Fill Out My Welcome Sheet</h2></a>
	<p class="compactTop menuItem"><a class="basicLink" href="online_welcome_sheet.php?patient=<? echo $patient->getFieldValue('uid');?>">
			Fill out your welcome sheet online now</a>, saving yourself time during your appointment.</p>
	
    </div>

<div id="portal-box" class="portal-box-schedule"><a href="schedule_choose.php"><img src="../Imagess/appointment.jpg" alt="" width="36" height="31" />
	<h2 class="orange">Schedule An Appointment</h2></a>
	<?
		
	?>
<p class="menuItem"><a href="schedule_choose.php">Schedule an appointment online</a></p></div>

<div id="portal-box" class="portal-box-inbox"><a href="patient_messages.php"><img src="../Imagess/email.jpg" alt="" width="36" height="31" />
	<h2 class="orange">Inbox</h2></a>
<p class="menuItem"><a href="patient_messages.php">View and send secure messages</a> to your doctor</p></div>

<div id="portal-box" class="paymenthistory portal-box-history"><img src="../Imagess/dollarsign.jpg" alt="" width="36" height="31" />
    <h2 class="orange">Payment History</h2>
<p class="menuItem"><a class="basicLink" href="choose_invoice.php">View & Pay Open Invoices</a></p>
<p class="menuItem"><a class="basicLink" href="invoice_history.php">View Invoice History</a></p>
</div>

	
 <div id="portal-box" class="portal-box-education"><img src="../Imagess/education.jpg" width="36" height="31" /><? echo "<a href=\"education.php\"><h2 class=\"orange\">Patient Education</h2></a>";
	echo "<p class=\"menuItem\"><a class=\"basicLink\" href=\"education.php\">View education resources</a> that have been recommended for you by your doctor.</p>";
	?></div>

 <div id="portal-box" class="portal-box-rx"><a href="rx_request.php"><img src="../Imagess/rx.jpg" alt="prescription icon" width="36" height="36" /><h2 class="orange">Recent Prescriptions</h2></a><?
	echo '<p class="menuItem"><a class="basicLink" href="rx_request.php">Request eyeglasses and contact lens prescriptions</p></a>';?>
 </div>
 
  <div id="portal-box" class="portal-box-healthinfo"><a href="view_chart.php"><img src="../Imagess/chart.jpg" width="36" height="31" />
  <h2 class="orange">View Health Information</h2></a>
<?
	echo '
			<p class="menuItem"><a class="basicLink" href="view_chart.php">View your health information</a>,
			including diagnoses, procedures performed, prescribed drugs, etc.</p>';?>
</div>

 <div id="portal-box" class="portal-box-exam"><a href="view_clinical_summary.php"><img src="../Imagess/summary.jpg" width="36" height="31" />
 <h2 class="orange">View Exam Summary</h2></a>
 <?
	echo '<p class="menuItem"><a class="basicLink" href="view_clinical_summary.php">View a summary of a specific visit to your doctor.</a></p>';
	?></div>

<div id="portal-box" class="portal-box-account">
   <a href="manage_account.php"><img src="../Imagess/accountsettings.jpg" alt="" width="36" height="31" /> <h2 class="orange">My Account Settings</h2></a>
<p class="menuItem"><a class="basicLink" href="manage_account.php">Manage Account Settings</a> (username, password, etc.)</p></div>
</div>
	
    
  
	
<?
	echo "<br />\n";
	include "foot.php";
} //end if logged in
?>
