<?
require_once('includes/conf.php');
enforcedSessionStart();

require_once('includes/portalutils.php');
require_once(GLOBAL_INCLUDES_DIR . 'crystalLake/table.php');
require_once(GLOBAL_INCLUDES_DIR . 'springfield/formatters/fullnameformatter.php');

$patientEmail = $_SESSION['temp_email'];
$birthday = $_SESSION['temp_birthday'];
unset($_SESSION['temp_email']);
unset($_SESSION['temp_birthday']);
$patients = getPatientsByEmailInfo($patientEmail, $birthday);
$multiplePatients = count($patients) > 1;

if (isset($patients) && count($patients) > 0) {
	//Generate the message
	$message = "";
	
	if ($multiplePatients) {
		$message = "<p>Listing users for this email address and the birthday requested.</p>\n" . $table;
	} else {
		$message = "<p>Showing user account associated with this email address and the birthday requested.</p>\n" . $table;
	}
	
	//Generate table of patient info
	$fnf = new FullNameFormatter();
	$basicStyle = "text-align:left; padding-left:8px; padding-right:10px; padding-top:2px;";
	$message .= "<table><caption>Associated User Accounts</caption>\n<tr><th style=\"$basicStyle\">Patient Name</th><th style=\"$basicStyle\">Username</th></tr>\n";
	foreach ($patients as $patient) {
		$username = getPatUsername($patient);
		if (!isset($username)) {
			$username = "(No Account Created)";
		}
		$message .= "<tr><td style=\"$basicStyle\">" . $fnf->format($patient) . "</th><td style=\"$basicStyle\">$username</th></tr>\n";
	}
	$message .= "</table>\n";
	
	$message .= "<p>If you remember your password, you can <a href=\"https://www.webeca.com/portal/login.php\">
	             Log In</a> to access your account.</p>";
	$message .= "<p>If not, you can <a href=\"https://www.webeca.com/portal/reset_password.php\">Reset Your Password</a></p>";
	$message .= "<p>If your account isn't registered, please <a href=\"https://www.webeca.com/portal/register.php\">
	             Register Your Account</a> to gain access to patient data, pay bills, and more!</p>";
				 
	$to = $patientEmail;
	$subject = "Webeca.com User Lookup";
	$headers = array("From" => "EyeCare Associates Eyecare <accounts@webeca.com>", "Reply-To" => "info@webeca.com", "X-Mailer" => "PHP/" .
				phpversion(), "Content-Type" => "text/html", "Subject" => $subject);
	pearMail(SMTP_HOST, SMTP_PORT, SMTP_USERNAME, SMTP_PASSWORD, $to, $message, $headers);
	header('location:user_request_success.php');
} else {
	header('location:forgot_username.php?error=1');
}

?>
