<?
require_once('includes/conf.php');
enforcedSessionStart();

require_once('includes/portalutils.php');
require_once(GLOBAL_INCLUDES_DIR . 'springfield/patient.php');
//require_once(GLOBAL_INCLUDES_DIR . 'springfield/backend/request.php');
require_once(GLOBAL_INCLUDES_DIR . 'springfield/backend/axis/RequestAccountMessage.php');
require_once(GLOBAL_INCLUDES_DIR . 'springfield/backend/axis/ResetAccountMessage.php');

//Make sure that the patient got here from register.php or register_user.php
if (!isset($_SESSION['temp_patient']) || !isset($_SESSION['temp_user']) || !isset($_SESSION['temp_db'])) {
	header('location:register.php');
} else {

	$user = $_SESSION['temp_user'];
	$db = $_SESSION['temp_db'];
	$patient = new Patient($db, $_SESSION['temp_patient']);
	//$patient->setFieldValue('username', $user);
	unset($_SESSION['temp_user']);
	unset($_SESSION['temp_db']);
	unset($_SESSION['temp_patient']);

	//If password is already set, go back to register.php
	/*if ($patient->getFieldValue('password') != null) {
		header('location:register.php');
	}*/

	//The activation email creates the temp user credentials itself now.
	//$request = new Request('UID');
	//$uid = $request->run() . "aA1!"; //Add the last bit because it must be mixed case, include numbers and a special character.
	//setPatientTempPassword($patient, $uid);
	//echo "BEFORE SAVING<br>\n";
	//$error = false;
	/*try {
		$invalid = $patient->saveData();
	} catch (Exception $e) {
		$error = true;
		klog(dump($e), KLogger::ERROR);
	}*/
	//echo "AFTER SAVING<br>\n";

	//if ((!$error) && (!isset($invalid) || count($invalid) == 0)) {
	try {
		$doRequest = true;
		$patUID = $patient->getFieldValue('uid');
		if ($_GET['reset'] == 1) {
			//Account must be reset first.
			$msg = new ResetAccountMessage('cec_portal');
			$doRequest = $msg->resetAccount($patUID);
		}
		if ($doRequest) {
			$msg = new RequestAccountMessage('cec_portal');
			if ($msg->requestAccount($patUID, $user)) {
				/* $to = $patient->getFieldValue('email');
				$subject = "Webeca.com Account Activation";
				$message = "<p>Your Webeca.com account registration for user $user has been received.</p>
							<p>Please click on this link:</p>
							<p><a href=\"https://www.webeca.com/portal/activate.php?uid=$uid\">Activate My Account</a></p>
							<p>then follow the instructions to activate your account.</p>";
				$headers = "From: EyeCare Associates <accounts@Webeca.com>\r\nReply-To: info@webeca.com\r\nX-Mailer: PHP/" .
							phpversion() . "\r\nContent-Type: text/html";
				mail($to, $subject, $message, $headers); */
				header('location:account_success.php');
			} else {
				//echo var_dump($invalid);
				header('location:register.php?error=1');
			}
		}
	} catch (Exception $e) {
		//TODO - I don't think the log is necessary because the Axis server should keep the exception in its own logs.
		klog(dump($e), KLogger::ERROR);
		header('location:register.php?error=1');
	}
	/* } else {
		//echo var_dump($invalid);
		if (!$error) {
			klog(dump($invalid), KLogger::ERROR);
		}
		header('location:register.php?error=1');
	} */
} //end if session vars are set
?>
