<?
require_once('includes/conf.php');
enforcedSessionStart();

require_once('includes/portalutils.php');

$employee = getEmployee(false);
$logged_in = isEmployeeLoggedIn($employee);

//Include the header info
$title='EyeCare Associates - Employee Log In';
include("template.php");

$subMenuName = "employee_menu";
include("head.php");
if ($_POST['submit'] != null && $_POST['submit'] != '') {
	if ($_POST['empid'] == null || $_POST['empid'] == '') {
		$error = "Employee ID is required";
	} else {
		$logged_in = logInAuthorize($_POST['empid'], $_POST['password']);
		if ($logged_in) {
			$redirect = $_SESSION['referral_page'];
			if (isset($redirect)) {
				unset($_SESSION['referral_page']);
				header("location:$redirect");
			} else {
				header('location:employee_portal_main.php');
			}
		} else {
			$error = "No employee match found for that ID and password. Please try again.";
		}
	}
} else if ($logged_in) {
        header('location:employee_portal_main.php');
}

if (!$logged_in) {
	if (isset($error)) {
		echo "<div class=\"error\">$error</div>";
	}
	if ($_GET['logout'] != null && $_GET['logout'] != '' && $_GET['logout'] == 1) {
		echo "<p class=\"success\">Log out successful</p>";
	}
?>
<style>
ul#navmenu li {display: none;} 
ul#navmenu li.emp, ul#navmenu li:last-child {
display: inline-block !important;
}
</style>
<h1>Log In</h1>
<form action="<? echo $_SERVER['PHP_SELF'];?>" method="post">
	<input type="hidden" name="accesstype" value="login" />
	<p>
		<table>
			<tr><td>Employee ID: </td><td><input type="password" name="empid" size="30" maxlength="50" /></td></tr>
			<tr><td>Password: </td><td><input type="password" name="password" size="30" maxlength="50" /></td></tr>
			<tr><td colspan="2" style="padding-top: 10px;"><input type="submit" name="submit" value="Log In" /></td></tr>
		</table>
	</p>
</form>

<br />

<?
} //End if not logged in
include "foot.php";
?>
