<?
require_once('includes/conf.php');
enforcedSessionStart();

require_once('includes/portalutils.php');

$error = null;
if (isset($_GET['error']) && $_GET['error'] == 1) {
	$error = "Couldn't find any matching users. Please make sure data is correct and try again. If this
	          error occurs again, please send an e-mail to info@webeca.com regarding the issue
			  and we'll help you to resolve the problem. We're sorry for any inconvenience.";
}

if (isset($_POST['stage']) && $_POST['stage'] == 'process') {
	if (!isset($_POST['email']) || $_POST['email'] == "") {
		$error = "E-mail address is required. Please enter an e-mail address and try again. Email info@webeca.com with any questions.";
	} else if (!isset($_POST['birthday']) || $_POST['birthday'] == "") {
		$error = "For verification of identity, you must enter your birthday. Email info@webeca.com with any questions.";
	} else {
		$patients = getPatientsByEmailInfo($_POST['email']);
		$specificPatients = filterByBirthday($patients, $_POST['birthday']);
		if ($patients == null || count($patients) == 0) {
			$error = "No patients found with the provided e-mail address. Please make sure it is entered correctly and try again. Email info@webeca.com with any questions.";
		} else if ($specificPatients == null || count($specificPatients) == 0) {
			$error = "No patients with the provided e-mail address have that birthday. Please make sure all
			          data is entered correctly and try again. Email info@webeca.com with any questions.";
		} else {
			$_SESSION['temp_email'] = $_POST['email'];
			$_SESSION['temp_birthday'] = $_POST['birthday'];
			header('location:send_usernames.php');
		}
	}
}

$drawArrow = false;

//Include the header info
$title='EyeCare Associates - Forgot Username';
include("template.php");

$subMenu = "portal_menu.jpg";
//Don't show timeout warnings on the forgot username page.
$initializeTimeout = false;
include("head.php");

?>

<h1>Lookup Your Username</h1>
<div class="smallItem">Enter the user's email address and birthdate below. Upon successful lookup in our system, an email will be sent with all usernames associated with that email.</div>

<div id="errorBox" class="error"><? echo (isset($error)) ? $error : ""; ?></div>
<form action="<?php echo $_SERVER['PHP_SELF'];?>" method="post" id="registerform" name="registerform">
	<input type="hidden" name="stage" value="process" />
	<div>
		<table width="400" border="0" class="formLines">
			<tr><td width="138"><label for="email"><div class="smallItem"></div></label></td><td width="250"><span class="smallItem">E-mail:</span></td>
			  <td width="250"><input type="text" id="email" name="email" size="30" maxlength="50" /></td>
			</tr>
			<tr><td><label for="birthday"><div class="smallItem"></label>
			</div></td><td><div class="smallItem">Birthdate: </div></td>
			  <td><input type="text" id="birthday" name="birthday" size="12" maxlength="10" /></td>
			</tr>
			<tr><td style="padding-top: 10px;">&nbsp;</td>
			  <td style="padding-top: 10px;"><input type="submit" value="Lookup Username" /></td>
			  <td style="padding-top: 10px;">&nbsp;</td>
			</tr>
		</table>
	</div>
</form>

<br />
<?  include "foot.php"; ?>