<?
require_once('includes/conf.php');
enforcedSessionStart();

require_once("secure_message.php");
require_once("includes/portalutils.php");
require_once(GLOBAL_INCLUDES_DIR . 'springfield/backend/axis/GetProvidersSeenMessage.php');

$pat = new Patient(null);
if ($pat->setFromFirstWhere('uid', $_POST['uid'], '=')) {
	$availableProviders = array();
	if (isset($_POST['providers'])) {
		$availableProviders = $_POST['providers'];
	}
	$msg = new GetProvidersSeenMessage('cec_portal');
	$error = null;
	try {
		$providers = $msg->getProvidersSeen($pat->getFieldValue('uid'));
	} catch (Exception $e) {
		$error = "Could not find available doctors.  Please try again.";
		klog("Error occurred while finding patient providers seen\n" . dump($e), KLogger::ERROR);
	}
	echo "To: " . getProviderSelect($pat, $providers, $availableProviders, $error);
} else {
	echo "Could not find available providers.  Please try again.";
}

?>