<?

require_once(GLOBAL_INCLUDES_DIR . 'springfield/formatters/currencyformatter.php');

function getReceiptHTML($superbill, $creditcard, $billingArray, $amount) {
	$currencyFormatter = new CurrencyFormatter();
	
	$html = "<p><img src=\"http://www.webeca.com/images/eyecare-associates-logo.jpg\" alt=\"EyeCare Associates\"></p>";
	$html .= "<h1>Invoice #" . $superbill->getSuperbillNumber() . "</h1>";
	$html .= "\n" . $superbill->getSalesLogTable() . "\n";
	$html .= $superbill->getDateAndBalanceHTML();
	
	$html .= "<div class=\"returnInfo\" style=\"text-align: left;\">\n";
	$html .= "<h3 class=\"orange\">Credit Card Information</h3>";
	$html .= strtoupper($creditcard->getName()).'<br />';
	$html .= $creditcard->getDisplayName().'<br />';
	$html .= $creditcard->getSecureDisplay().'<br />';    	  	
	$html .= 'Exp: '.$creditcard->getExpiration().'<br />';
	$html .= "</div>";
	
	$html .= "<div class=\"returnInfo\" style=\"text-align: left;\">";
	$html .= "<h3 class=\"orange\">Bill to Information</h3>";
	$html .= strtoupper($billingArray['firstname']).' '.strtoupper($billingArray['lastname']).'<br />';
	$html .= strtoupper($billingArray['address']).'<br />';
	$html .= strtoupper($billingArray['city']).', '.strtoupper($billingArray['state']).' '.strtoupper($billingArray['zip']).'<br />';
	$html .= strtoupper($billingArray['homephone']).'<br />';
	$html .= "</div>";
	
	$html .= "<div class=\"returnInfo\" style=\"text-align: left;\">";
	$html .= "<h3 class=\"orange\">Payment Information</h3>";
	$html .= "Total charged to card: " . $currencyFormatter->format($amount) . "<br />";
	$html .= "</div>";
	
	return $html;
}

?>