<?

define('GLOBAL_INCLUDES_DIR', '/usr/local/washington_eca/');
define('HTML_PURIFIER_DIR', '/usr/local/htmlpurifier/htmlpurifier-4.6.0/library/');
define('DIRECT_ADDRESSES_FILE', GLOBAL_INCLUDES_DIR . 'direct_addresses');

/*
 * Calls session_start(), but enforces that the session is destroyed if the max lifetime has been reached.
 * By default, Apache may not clear up the session after the max lifetime; sessions are only cleared on the
 * next garbage collection.
 */
function enforcedSessionStart() {
	$timeout = ini_get('session.gc_maxlifetime');
    session_start();
	
    if (isset($_SESSION['max_idle_time']) && $_SESSION['max_idle_time'] < time()) {
		//We've surpassed the session timeout.  Destroy the old session before starting up.
        session_destroy();
        session_start();
        session_regenerate_id(true);
        $_SESSION = array();
    }

    $_SESSION['max_idle_time'] = time() + $timeout;
}

?>
