<?
require_once('includes/conf.php');
enforcedSessionStart();

require_once('secure_message.php');
require_once('includes/portalutils.php');
require_once(GLOBAL_INCLUDES_DIR . 'springfield/backend/axis/MarkMessageReadMessage.php');
require_once(GLOBAL_INCLUDES_DIR . 'springfield/backend/axis/MarkMessageUnreadMessage.php');

$userMode = $_SESSION['userMode'];
$loggedIn = false;

$uid = $_POST['uid'];
$read = ($_POST['read'] === 'true' || $_POST['read'] === 1 || $_POST['read'] === true);
if ($userMode == PATIENT_MODE) {
	$patient = getPatient(false);
	//$uid = $patient->getFieldValue('uid');
	$toUID = $uid;
	$loggedIn = ($patient != null && isLoggedIn($patient));
	//The toUID may not be the patients themselves; eg. it can be for a child.
	if ($_POST['toUID'] != null && $_POST['toUID'] != '') {
		$toUID = $_POST['toUID'];
	}
} else if ($userMode == EMPLOYEE_MODE) {
	$employee = getEmployee(false);
	//$uid = $employee->getFieldValue('uid');
	$toUID = $uid;
	$loggedIn = ($employee != null && isEmployeeLoggedIn($employee));
}

$id = $_POST['id'];
if ($loggedIn) {
	if (!isset($id)) {
		//No ID set - the patient/employee came here via an unexpected process.
		$messagesLink = ($userMode == PATIENT_MODE ? "patient_messages.php" : "employee_messages.php");
		echo "Message ID not set.  You must come to this page from the <a href=\"$messagesLink\" class=\"basicLink\">secure messages page</a>.";
	} else {
		//Message ID set - mark the message as read.
		try {
			if ($read) {
				$message = new MarkMessageReadMessage('cec_messaging');
				$result = $message->markMessageRead($toUID, $id);
			} else {
				$message = new MarkMessageUnreadMessage('cec_messaging');
				$result = $message->markMessageUnread($toUID, $id);
			}
			if ($result) {
				echo "success";
			} else {
				echo "Marking message as " . ($read ? "read" : "unread") . " was unsuccessful.";
			}
		} catch (Exception $e) {
			echo "Error displaying the message.  Please try again.  The IT department has been informed of the issue and will work to resolve it as quickly as possible.";
		}
	}
} else {
	//Patient not logged in.
	echo "You are not logged in.  Please log into the portal before coming to this page.";
}
?>