<style>

	img {
		max-width: initial !important;
		width: initial !important;
		vertical-align: initial !important; 
	}
	
</style>

<div id="block">

<?
require_once('includes/conf.php');
enforcedSessionStart();

require_once('includes/portalutils.php');
require_once(GLOBAL_INCLUDES_DIR . 'springfield/formatters/fullnameformatter.php');

//Include the header info
$title='EyeCare Associates - Secure Patient Messages';
include("template.php");

$mainPatient = getPatient(true);
if ($mainPatient != null) {
	$subMenuName = "portal_menu";
	include("head.php");
	if ($_GET['success'] == 1) {
		echo "<h1 class=\"orange\">Success</h1>";
		echo "<div class=\"basicMedium\">You have successfully sent a secure message to your provider.</div>";
	}
		
	$patientNum = $_GET['patientNum'];
	$chosenPatient = null;
	if (!isset($patientNum)) {
		$patientNum = 0;
		$chosenPatient = $mainPatient;
	}
?>
	<h1>My Inbox</h1>
    <p>Click a patient name below to begin sending secure messages to your EyeCare Associates doctor. You may ask your doctor questions you forgot during your recent visit, request medication refills, request prescriptions, or update your EyeCare Associates team on how you're doing. Someone will be in touch within 48 hours to answer any questions, all through our HIPAA compliant, secure messaging service. </p>
    
    <p><strong>If there is an emergency or vision loss, contact 911 immediately.</strong></p>
    
    <h2 class="orange">View Messages For:</h2>
<?
	$patients = getAllUnderAccount($mainPatient);
	$fnf = new FullNameFormatter(null, false);
	$num = 0;
	
	//Only list patients under the account if > 1
	if (isset($patients) && count($patients) > 1) {
		echo "<h2 class=\"orange\">Choose Patient</h2>\n<div class=\"spaced\">";
		foreach ($patients as $patient) {
			echo "<div class=\"basicMedium boldText\">";
			if ($num == $patientNum) {
				//This is the chosen patient; just show their name
				$chosenPatient = $patient;
				echo "-&gt;" . $fnf->format($patient);
			} else {
				//This is another patient, allow user to choose them
				echo "<a class=\"basicLink boldLink\" href=\"" . $_SERVER['PHP_SELF'] . "?patientNum=$num\">" . $fnf->format($patient) . "</a>";
			}
			echo "</div>\n";
			$num++;
		}
		echo "</div><br />\n<!-- End div: Choose Patient -->";
	} else if (isset($chosenPatient)) {
		echo "<h3 id=\"patient-name\" class=\"darkorange\">" . $fnf->format($chosenPatient) . "</h3>";
	}
	
	if (isset($chosenPatient)) {
		//Show the patient's messages
		$userUID = $chosenPatient->getFieldValue('uid');
		$showFirst = false;
		if ($_GET['showFirst'] != null) {
			$showFirst = $_GET['showFirst'];
		}
		if ($_GET['showMessage'] != null) {
			$messageToShow = $_GET['showMessage'];
		}
		include('get_secure_messages.php');
	} else {
		echo "<div class=\"bigorange spaced\">Secure Messages not Found</div>\n";
		echo "<div class=\"smallItem\">Your secure messages could not be found at this time. Please try again later.</div>";
	}
	include("foot.php");
} //End if patient != null
?> 
</div>