<?
require_once('includes/conf.php');
enforcedSessionStart();

require_once('includes/includes.php');
require_once('includes/portalutils.php');
require_once(GLOBAL_INCLUDES_DIR . 'springfield/formatters/currencyformatter.php');
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
	<title>EyeCare Associates - Printer Friendly Receipt</title>
</head>
<body onload="window.print()" id="block">
	<p><img src="/Imagess/eca-logo.png" alt="EyeCare Associates"></p>
	<?
	//Check that a patient has logged in (or at least chosen a superbill)
	$patient = getPatient();

	//Check that a superbill has been selected
	$superbill = getSuperbill();

	$logged_in = isset($patient) && isset($superbill) && isset($_SESSION['secure_cc_display']);

	if ((!$logged_in) || (!userCanSeeSuperbill($patient, $superbill))) {
		echo "<h1>Sorry, you can't access your receipt at this time</h1>";
	} else {
		//User is logged in, and they just had a successful invoice attempt
		if (isset($_SESSION['billto'])) {
			$billingArray = $_SESSION['billto'];
		} else {
			$billingArray = $patient->getFields(array('firstname', 'lastname', 'address', 'city', 'state', 'zip', 'homephone'));
		}
		$allowToChange = false;
		$completed = true;
		$amount = $_SESSION['amount_paid'];
		include('invoice_summary.php');
	}
	?>
</body>
</html>